aboutsummaryrefslogtreecommitdiffstats
path: root/main
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-05-13 13:00:42 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-05-13 13:00:42 +0000
commit383abe9ba786a35463522703d30aa04776a85dfc (patch)
treefe0df2b4cf28a4836f96b87cdfef4220e7834626 /main
parent40876b5eb22ca3dac68007c7dd972e4f4b3707d9 (diff)
downloadaports-383abe9ba786a35463522703d30aa04776a85dfc.tar.gz
aports-383abe9ba786a35463522703d30aa04776a85dfc.tar.bz2
aports-383abe9ba786a35463522703d30aa04776a85dfc.tar.xz
main/xfce4-clipman-plugin: moved from testing
Diffstat (limited to 'main')
-rw-r--r--main/xfce4-clipman-plugin/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/main/xfce4-clipman-plugin/APKBUILD b/main/xfce4-clipman-plugin/APKBUILD
new file mode 100644
index 0000000000..5a44ff0a61
--- /dev/null
+++ b/main/xfce4-clipman-plugin/APKBUILD
@@ -0,0 +1,41 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xfce4-clipman-plugin
+pkgver=1.2.3
+pkgrel=0
+pkgdesc="Clipboard manager plugin for the Xfce panel"
+url="http://goodies.xfce.org/projects/panel-plugins/xfce4-clipman-plugin"
+arch="all"
+license="GPLv2+"
+depends=""
+makedepends="libxfce4ui-dev xfce4-panel-dev libunique-dev libxtst-dev exo-dev"
+install=""
+subpackages="$pkgname-doc $pkgname-lang"
+source="http://archive.xfce.org/src/panel-plugins/xfce4-clipman-plugin/1.2/xfce4-clipman-plugin-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/xfce4-clipman-plugin-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --disable-static \
+ --enable-unique \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm "$pkgdir"/usr/lib/xfce4/panel/plugins/*.la
+}
+
+md5sums="61f3be97efa379cb358980c94e14692a xfce4-clipman-plugin-1.2.3.tar.bz2"